/*
 * Copyright 2011 DeepDiff Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package deepdiff.core;

/**
 * An exception indicating that the property or properties provided to an
 * instance of {@link Configurable} are not valid
 */
public class IllegalConfigException extends Exception {
    /** Use serialVersionUID for interoperability. */
    private static final long serialVersionUID = -3235872169135519912L;

    /**
     * Initializes a new IllegalConfigException object.
     */
    public IllegalConfigException() {
        super();
    }

    /**
     * Initializes a new IllegalConfigException object.
     *
     * @param message a message describing the exception
     */
    public IllegalConfigException(String message) {
        super(message);
    }

    /**
     * Initializes a new IllegalConfigException object.
     *
     * @param cause the cause of the exception
     */
    public IllegalConfigException(Throwable cause) {
        super(cause);
    }

    /**
     * Initializes a new IllegalConfigException object.
     *
     * @param message a message describing the exception
     * @param cause the cause of the exception
     */
    public IllegalConfigException(String message, Throwable cause) {
        super(message, cause);
    }
}
