/*
 * Copyright 2011 DeepDiff Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package deepdiff.pointprocessor;

import deepdiff.core.DiffPoint;
import deepdiff.core.DiffPointProcessor;

/**
 * A very simple implementation of {@link DiffPointProcessor} that outputs
 * information about the {@link DiffPoint} to System.out.
 */
public class OutputDiffPointProcessor implements DiffPointProcessor {
    /**
     * Outputs information about the specified DiffPoint to System.out.
     *
     * @param diffPoint the DiffPoint to process
     */
    public void processDiffPoint(DiffPoint diffPoint) {
        String scopedPath = diffPoint.getDiffUnit().getScopedPath();
        String message = diffPoint.getMessage();
        System.out.println(scopedPath + ": " + message);
    }
}
